Re: [gentoo-user] Patching of ebuilds

2009-01-29 Thread Jesús Guerrero
Also check the page where you found the patch carefully. Sometimes you can find an updated ebuild that works with that patch in the same page, so you don't have to patch it yourself. You need to examine the patch and clear up whether it's a patch for the app or for the ebuild itself. If it's

Re: [gentoo-user] lm_sensors patch borked?

2010-06-28 Thread justin
The patch was borked. Either bump to latest sys-devel/patch-2.6.1 or resync later. It is fixed now. signature.asc Description: OpenPGP digital signature

Re: [gentoo-user] lm_sensors patch borked?

2010-06-28 Thread Mick
On 28 June 2010 15:40, justin jus...@j-schmitz.net wrote: The patch was borked. Either bump to latest sys-devel/patch-2.6.1 or resync later. It is fixed now. Thanks, will have another go. -- Regards, Mick

Re: [gentoo-user] Re: Patch via perl script in an ebuild?

2010-07-01 Thread Grant
[snip] Am I making any sense? I think all of that is right on. I need to find out why the patch isn't working though. Theoretically (if you insist), you could still use the perl's Text::Patch route as well, but (if I'm not entirely wrong, see the excerpted attempted patch run above

Re: [gentoo-user] korganizer patch

2005-10-26 Thread Benno Schulenberg
Michael W. Holdeman wrote: OK, So what is wrong with this patch: What is the error message? :) What I normally do is: unpack the affected tarball, copy the affected files to .orig versions, make the necessary changes, create a patch from above the topdir with 'diff -u' between the orig

[gentoo-user] Patch file for cdrtools to allow --duplicates-once

2008-09-29 Thread Andrey Vul
Is there a patch file to patch mkisofs to use the --duplicates-once option during generation of iso9960/UDF images? The problem is that the one that exists right now, the patch (against the official sources) cannot be found because the original site (bootcd.ru) is permanently down. Or do I need

[gentoo-user] how to patch the asterisk ebuild

2006-10-21 Thread Kitti Jaisong
Title: how to patch the asterisk ebuild Hi all, somebody know how to patch the software via ebuild. i need to patch the asterisk.1.2.13 in part of chan_sip.c for correct the silencesupp in the huawei softswitch. but i dont know how to correct in the ebuild Thanks, kitti huawei.patch

[gentoo-user] www-client/firefox-3.6.12 headers error

2010-10-29 Thread Mick
I noticed this error with the autoheader as shown below: * Applying xulrunner-1.9.2-gtk+-2.21.patch ... [ ok ] * Running eautoreconf in '/var/tmp/portage/www- client/firefox-3.6.12/work/mozilla-1.9.2' ... * Running autoconf

Re: [gentoo-user] www-client/firefox-3.6.12 headers error

2010-10-29 Thread Alan McKinnon
Apparently, though unproven, at 20:45 on Friday 29 October 2010, Mick did opine thusly: I noticed this error with the autoheader as shown below: * Applying xulrunner-1.9.2-gtk+-2.21.patch ... [ ok ] * Running eautoreconf in '/var/tmp/portage/www- client/firefox

[gentoo-user] lm_sensors patch borked?

2010-06-28 Thread Mick
-detect-gentoo.patch ...[ ok ] * Applying lm_sensors-3.1.2-changeset_r5835.patch ... * Failed Patch: lm_sensors-3.1.2-changeset_r5835.patch ! * ( /usr/portage/sys-apps/lm_sensors/files/lm_sensors-3.1.2-changeset_r5835.patch

Re: [gentoo-user] Problem installing amavisd-new (Gentoo box)

2006-10-17 Thread Ronald Vazquez
are the contents of the output file: # cat amavisd-new-2.4-qmail-lf-workaround.patch-8250.out * amavisd-new-2.4-qmail-lf-workaround.patch * = PATCH COMMAND: patch -p0 -g0 -E --no-backup-if-mismatch /usr/portage/mail-filter/amavisd-new/files

Re: [gentoo-user] Howto patch ebuilds?

2006-06-30 Thread Neil Bothwick
On Thu, 29 Jun 2006 23:57:56 -0700 (PDT), Leonardo wrote: I'm trying to apply a patch from gentoo bugzilla on a ebuild that's in portage, but cannot find infos on how to do it. If you are trying to patch the ebuild itself: Download the patch file cd to the directory containing the ewbuild

Re: [gentoo-user] How to get source of emerge to patch?

2006-07-12 Thread Neil Bothwick
On Tue, 11 Jul 2006 21:46:05 -0700 (PDT), Jim John wrote: Hi. I want to patch cyrus-imapd. I have the diff file, but no source because I emerged from the repository. How do I get the source and ebuild it? Thanks. The best way to do this is to modify the ebuild to apply the patch. Copy

Re: [gentoo-user] sci-mathematics/glpk-4.45 patch fails

2014-04-09 Thread Daniel Pielmeier
This is a bug. Please file one at bugs.gentoo.org. The patch which is missing got removed with the latest version bump of glpk but it is still referred to from the ebuild of version 4.45. -- Regards Daniel

Re: [gentoo-user] Patch file for cdrtools to allow --duplicates-once

2008-09-29 Thread Dale
Andrey Vul wrote: Is there a patch file to patch mkisofs to use the --duplicates-once option during generation of iso9960/UDF images? The problem is that the one that exists right now, the patch (against the official sources) cannot be found because the original site (bootcd.ru

Re: [gentoo-user] Software Suspend2 using Gentoo Ebuilds - New Magazine MyOSS Mag

2005-04-18 Thread Robert Svoboda
* Nick Rout [EMAIL PROTECTED] [2005-04-17 04:40]: - is it possible to patch the gentoo-sources kernel with the suspend2 patch? Or will it only apply cleanly to a vanilla kernel? I patched my standard gentoo kernel this way: http://onyon.net/index.php/2005-02

Re: [gentoo-user] Out of portage

2005-11-09 Thread Neil Bothwick
On Wed, 9 Nov 2005 10:23:31 +0200, Eray Aslan wrote: You'll just have to keep an eye for upgrades, because they will probably come without this patch. If you want this patch to be included in postfix create a bug in bugzilla with the request. I don't think it is a good idea. I would

Re: [gentoo-user] Nvidia Drivers. =(

2017-04-05 Thread Alan Grimes
Looks like a good patch but can you link to instructions for applying this patch? Fabio Scaccabarozzi wrote: > > Hi Alan, > > That is expected with 4.10 kernels. > You can grab a patch from my /etc/portage repository: > https://github.com/fsvm88/gentoo-portage_etc/blob/master/p

Re: [gentoo-user] korganizer patch

2005-10-26 Thread Benno Schulenberg
Michael W. Holdeman wrote: I applied a patch to korganizer to fix kde bug http://bugs.kde.org/show_bug.cgi?id=113376   I then rearchive kdepim-3.4.92.tar.bz2 Do not change tarballs. Instead, put the kdepim-3.5.0_beta2.ebuild in your overlay, add the patch to it with PATCHES=${FILESDIR

Re: [gentoo-user] xyz.la seems to be moved message

2006-10-24 Thread Meino Christian Cramer
From: Michael Sullivan [EMAIL PROTECTED] Subject: Re: [gentoo-user] xyz.la seems to be moved message Date: Tue, 24 Oct 2006 11:24:31 -0500 On Tue, 2006-10-24 at 17:31 +0200, Fabrice Delliaux wrote: Hi, Explanation patch here : http://www.mail-archive.com/bug-libtool@gnu.org/msg00838

Re: [gentoo-user] Re: Patch via perl script in an ebuild?

2010-07-01 Thread Arttu V.
/trunk/README Ok, I see they're shipping the same version which is available from CPAN as the dev version (2.00.99_3). But the patch is still not made for its code ... maybe it is for _2 or _1? The patch keeps failing out of the box: cpan -i Text::Patch tar xvzf Typemap.tar.gz tar xvzf

Re: [gentoo-user] Compilation error with StructureSynth

2017-11-01 Thread tuxic
On 11/01 04:05, David Haller wrote: > Hello, > > On Wed, 01 Nov 2017, tu...@posteo.de wrote: > [..] > >Thanks a lot for the extensive help, SIR! :) > > Thanks. > > [..] > >The patch itself was found (so the local thing works fine) and failed. > > &

Re: [gentoo-user] ltmain.sh version 1.5.22

2009-01-25 Thread Alan McKinnon
On Saturday 24 January 2009 12:11:41 Rod wrote: I'm getting the following error too much, many packages are no longer insalling with this problem ;o( * Running elibtoolize in: libmcrypt-2.5.8 * Applying install-sh-1.5.patch ... * Portage patch failed to apply (ltmain.sh version 1.5.22

Re: [gentoo-user] 3 - ERRORS

2005-06-12 Thread Paul Varner
On Sun, 2005-06-12 at 20:31 +0200, Holly Bostick wrote: Thanks for the info, but I notice that there's also a patch to portage.py attached to the bug. Is it correct to just patch it with the standard patch -p1 blah blah blah (patch syntax doesn't roll trippingly off my typing finger, but I'll

Re: [gentoo-user] how to apply a patch to ebuild?

2006-03-22 Thread Neil Bothwick
On Wed, 22 Mar 2006 08:56:17 -0300, Allan Spagnol Comar wrote: Hi I was reading the bug report 114915 at gentoo bugzilla and it mentions a patch to ebuid, I had downloaded the patch but I don't have any clue about how can I apply it to current ebuid. As root: cd /usr/portage/x11-libs/gtkDPS

Re: [gentoo-user] Adding realtime-prempt kernel patches to gentoo-sources

2005-07-07 Thread Mark Knecht
Hi, One more question if I might. What does this message mean? I'm guessing that a patch in my patch file has already been applied in gentoo-sources? If so then it would seem that I'd want to skip it. Is that correct? Skipping the patch would seem reasonable if that's what this means. Or am

Re: [gentoo-user] Adding realtime-prempt kernel patches to gentoo-sources

2005-07-08 Thread Christian Heim
Mark Knecht wrote: Hi, One more question if I might. What does this message mean? I'm guessing that a patch in my patch file has already been applied in gentoo-sources? If so then it would seem that I'd want to skip it. Is that correct? Skipping the patch would seem reasonable if that's

[gentoo-user] Re: cannot emerge iptraf

2005-07-20 Thread James
... [ ok ] * Applying iptraf-2.7.0-2.6.patch ... * Failed Patch: iptraf-2.7.0-2.6.patch ! * ( /usr/portage/net-analyzer/iptraf/files/iptraf-2.7.0-2.6.patch ) * * Include in your bugreport the contents of: * * /var/tmp/portage/iptraf-2.7.0-r1/temp/iptraf-2.7.0-2.6.patch-14025.out HTH James

Re: [gentoo-user] OO fails with useless 65280 error on unoxml

2009-12-01 Thread daid kahl
Somewhere in this thread was a mention of a failed patch. Where version of patch are you using? If it's 2.6, downgrade it as 2.6 is horribly broken http://blog.flameeyes.eu/2009/12/01/gentoo-service-announcement-keep-clear-of- gnu-patch-2-6 There was some patching things that caught my

Re: [gentoo-user] Re: Patch via perl script in an ebuild?

2010-07-02 Thread Grant
David, you mentioned in the bug that you couldn't get the patch to work clean.  I thought you got it working before when you posted the patched Typemap for me to download.  Did it work then but not now? http://bugs.gentoo.org/show_bug.cgi?id=305621 - GrantSOAP-WSDL The patched Typemap

Re: [gentoo-user] Re: Failing to compile hydrogen

2012-02-15 Thread Jonas de Buhr
Am 15/02/2012 04:59, schrieb meino.cra...@gmx.de: »Q«boxc...@gmx.net [12-02-14 18:12]: On Tue, 14 Feb 2012 17:58:49 +0100 meino.cra...@gmx.de wrote: How can I circumvent the problem? I can't vouch for it, but there's a patch attached to the bug. https://bugs.gentoo.org/show_bug.cgi?id

Re: [gentoo-user] Portage Patch failed to apply - System will no longer upgrade

2009-06-08 Thread Alan McKinnon
get .. * Portage patch failed to apply (ltmain.sh version 1.5.24)! * Please bug azarah or vapier to add proper patch. * * ERROR: dev-libs/gmp-4.3.1 failed. * Call stack: * ebuild.sh, line 49: Called src_unpack * environment, line 2811: Called elibtoolize

Re: [gentoo-user] korganizer patch

2005-10-26 Thread Michael W. Holdeman
On Wednesday 26 October 2005 17:27, Benno Schulenberg wrote: Michael W. Holdeman wrote: OK, So what is wrong with this patch: What is the error message? :) What I normally do is: unpack the affected tarball, copy the affected files to .orig versions, make the necessary changes, create

Re: [gentoo-user] xyz.la seems to be moved message

2006-10-24 Thread Michael Sullivan
On Tue, 2006-10-24 at 17:31 +0200, Fabrice Delliaux wrote: Hi, Explanation patch here : http://www.mail-archive.com/bug-libtool@gnu.org/msg00838.html I saved the patch at the above link to /root/libtool.patch, but I can't figure out how to use it. I assume that I would need to navigate

[gentoo-user] problems emerge'ing amavis-new

2006-03-10 Thread Nick Smith
... [ ok ] * Patching with qmail lf bug workaround. * Applying amavisd-new-2.2.1-qmail-lf-workaround.patch ... * Failed Patch: amavisd-new-2.2.1-qmail-lf-workaround.patch ! * ( /usr/portage/mail-filter/amavisd-new/files/amavisd-new-2.2.1-qmail-lf-workaround.patch

[gentoo-user] Re: problems emerge'ing amavis-new

2006-03-27 Thread Nick Smith
... * Failed Patch: amavisd-new-2.2.1-qmail-lf-workaround.patch ! * ( /usr/portage/mail-filter/amavisd-new/files/amavisd-new-2.2.1-qmail-lf-workaround.patch ) * * Include in your bugreport the contents of: * * /var/tmp/portage/amavisd-new-2.3.3-r2/temp/amavisd-new-2.2.1-qmail

[gentoo-user] Firefox 3.0.12 emerge dies

2009-07-26 Thread Walter Dnes
I've been unsuccessfully trying to build the latest security patch version of Firefox 3.0. I keep getting the same error message after 3 days of re-syncing and retrying. The build dies early on in the patch-appliaction stage, so log.txt is small. The error message also mentioned to include

Re: [gentoo-user] xyz.la seems to be moved message

2006-10-24 Thread Michael Sullivan
patch here : http://www.mail-archive.com/bug-libtool@gnu.org/msg00838.html I saved the patch at the above link to /root/libtool.patch, but I can't figure out how to use it. I assume that I would need to navigate to a directory and say patch /root/libtool.patch, but what directory do

[gentoo-user] net-misc/openssh-4.3_p2-r1 download error?

2006-09-09 Thread Mick
;-) Downloading http://ftp.club-internet.fr/pub/mirrors/gentoo/distfiles/openssh-lpk-4.3p1-0.3.7.patch --00:18:01-- http://ftp.club-internet.fr/pub/mirrors/gentoo/distfiles/openssh-l pk-4.3p1-0.3.7.patch = `/usr/portage/distfiles/openssh-lpk

Re: [gentoo-user] ltmain.sh version 1.5.22

2009-01-26 Thread Rod
Alan McKinnon wrote: On Saturday 24 January 2009 12:11:41 Rod wrote: I'm getting the following error too much, many packages are no longer insalling with this problem ;o( * Running elibtoolize in: libmcrypt-2.5.8 * Applying install-sh-1.5.patch ... * Portage patch failed

Re: [gentoo-user] zd1211 patch?

2007-05-09 Thread Arnau Bria
On Tue, 8 May 2007 17:56:36 +0200 Alan McKinnon wrote: On Tuesday 08 May 2007, Arnau Bria wrote: Ok, but, what is the content of net_dev.patch? It's right there in your original mail: [...] That IS what the patch file looks like. It will alter your Makefile, and the epatch function

Re: [gentoo-user] how to apply a patch to ebuild?

2006-03-22 Thread Iain Buchanan
On Wed, 2006-03-22 at 08:56 -0300, Allan Spagnol Comar wrote: Hi I was reading the bug report 114915 at gentoo bugzilla and it mentions a patch to ebuid, I had downloaded the patch but I don't have any clue about how can I apply it to current ebuid. well, how confident are you at having a go

Re: [gentoo-user] emerge/python failure

2010-10-15 Thread Fatih Tümen
On Fri, Oct 15, 2010 at 8:29 PM, Mark Knecht markkne...@gmail.com wrote: Got it, you hit the bug 340899 and its already fixed, just apply the patch http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=c54c1af789b306a85e9d7e79fb54f02a05346616 --    Fatih Thanks - I got

Re: [gentoo-web-user] [patch] webapp.eclass: SLOT warning

2006-07-10 Thread Renat Lumpau
On Mon, Jul 03, 2006 at 09:05:21PM +, Renat Lumpau wrote: I've attached a patch to the eclass that removes the user-visible warning about manual SLOTting. Unless there are strong objections, I plan to commit this patch to the tree in a week. In the tree. -- Renat Lumpau all

[gentoo-user] Re: ltmain.sh version 1.5.22

2009-01-25 Thread ABCD
-BEGIN PGP SIGNED MESSAGE- Hash: SHA1 Rod wrote: * Running elibtoolize in: libmcrypt-2.5.8 * Applying install-sh-1.5.patch ... * Portage patch failed to apply (ltmain.sh version 1.5.22)! * Please bug azarah or vapier to add proper patch. Try reinstalling and/or upgrading sys

Re: [gentoo-user] Patch file for cdrtools to allow --duplicates-once

2008-09-30 Thread Joerg Schilling
Andrey Vul [EMAIL PROTECTED] wrote: Is there a patch file to patch mkisofs to use the --duplicates-once option during generation of iso9960/UDF images? There is no such option. Could you explain your desire? Jörg -- EMail:[EMAIL PROTECTED] (home) Jörg Schilling D-13353 Berlin

[gentoo-user] How to apply a patch to an ebuild?

2005-09-28 Thread Roy Wright
Howdy, With Holly's praise of fvwm-crystal I thought I'd give it a try. But then I hit bug 89594 with aumix. The sound team provided a patch, aumix-2.8-autoconf.patch, which will create the two missing config files (they didn't fix the ebuild because it works on their systems). Now I'm trying

[gentoo-user] how to apply a patch to ebuild?

2006-03-22 Thread Allan Spagnol Comar
Hi I was reading the bug report 114915 at gentoo bugzilla and it mentions a patch to ebuid, I had downloaded the patch but I don't have any clue about how can I apply it to current ebuid. I had searched gentoo wiki and found nothing. Does some gentle soul can help me with this stupid question

Re: [gentoo-user] how to apply a patch to ebuild?

2006-03-22 Thread Alexander Kirillov
Hi I was reading the bug report 114915 at gentoo bugzilla and it mentions a patch to ebuid, I had downloaded the patch but I don't have any clue about how can I apply it to current ebuid. There may be a patched version already in portage, still masked. If there isn't you may consider creating

Re: [gentoo-user] how to patch the asterisk ebuild

2006-10-21 Thread Régis Décamps
On 10/21/06, Kitti Jaisong [EMAIL PROTECTED] wrote: Hi all, somebody know how to patch the software via ebuild. i need to patch the asterisk.1.2.13 in part of chan_sip.c for correct the silencesupp in the huawei softswitch. but i dont know how to correct in the ebuild You need

[gentoo-user] patch against sandbox violation with 2.6.19 kernels

2006-12-15 Thread Sven Köhler
Hi, i attached a patch. See comments #70 and #72 of this bug: https://bugs.gentoo.org/show_bug.cgi?id=149307 from where i got it, and so on ... It fixes the sandbox violations with vanilla 2.6.19 kernel. It will be included in 2.6.20 kernel, as it seems. But it's not in 2.6.19.1 :-( I thought

Re: [gentoo-user] Re: ATI Radeon 9550

2007-01-10 Thread Neil Bothwick
On Wed, 10 Jan 2007 14:42:31 + (UTC), Grant Edwards wrote: Post it on Bugzilla. If the maintainer likes your patch he'll add it to the tree. If not, anyone else searching Bugzilla will find it. Somebody already posted the patch to the driver to Bugzilla. Should I also post the patch

Re: [gentoo-user] can't build gnome 3.2 (3.0 was ok)

2011-10-12 Thread Allan Gottlieb
On Wed, Oct 12 2011, David Abbott wrote: Here is the patch to fix totem-pl-parser with the new quvi api https://386651.bugs.gentoo.org/attachment.cgi?id=289447action=diffcollapsed=context=patchformat=rawheaders=1 HTH David Thank you. I follow that bug and know about the patch. Since I

Re: [gentoo-user] Re: Failing to compile hydrogen

2012-02-14 Thread meino . cramer
»Q« boxc...@gmx.net [12-02-14 18:12]: On Tue, 14 Feb 2012 17:58:49 +0100 meino.cra...@gmx.de wrote: How can I circumvent the problem? I can't vouch for it, but there's a patch attached to the bug. https://bugs.gentoo.org/show_bug.cgi?id=372003 Hi, thank you for your help

[gentoo-user] Adding an extra patch to an ebuild

2012-11-21 Thread Adam Carter
It looks like i have hit this gcc 4.7 build bug: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=53113 Theres a patch attached to the bug i'd like to apply. Unfortunately the gcc 4.7.2 ebuild doesnt have epatch_user, so i need to take the other approach listed in the handbook. It suggests i use

Re: [gentoo-user] NVidia drivers and vanilla kernel Linux 4.7.0 anyone?

2016-08-06 Thread David Haller
Hello Meino, On Sat, 30 Jul 2016, meino.cra...@gmx.de wrote: [..] >WHOW! Thanks a lot for the patch! As this issue has just come up on gentoo-dev as well, has the patch worked for you (so far)? Please give a report if it worked or not. I've been unable to run/test my system with that pa

Re: [gentoo-user] Plasmashell consuming huge amounts of memory.

2017-10-12 Thread P Levine
On Thu, Oct 12, 2017 at 12:40 AM, Dale <rdalek1...@gmail.com> wrote: > Hi, > > It's trying to install dev-qt/qtdeclarative-5.9.2. I went back and sort > of started from the start. Figured out where I made a boo boo. Now it > tries to apply the patch but fails to apply

[gentoo-user] Help applying a qt patch

2007-12-04 Thread Grant
I've set the ebuild up in an overlay and added: epatch ${FILESDIR}/qt-4.3.1-r1_gcc3.4_compile_fix.diff to the ebuild alongside other patches, but the patch always fails with this: ^[[31;01mACCESS DENIED^[[0m rename: /usr/portage/x11-libs/qt/qt-4.3.1-r1.ebuild patch: Can't rename file /var

[gentoo-user] BootSplash

2005-06-06 Thread Allan Spagnol Comar
Does someone knows how to patch the 2.6.11-r9 kernel to use boot splash ? Thanks. Allan -- gentoo-user@gentoo.org mailing list

Re: [gentoo-user] realtime-preemption patch

2005-11-01 Thread Hans-Werner Hilse
it out but a LOT of files are not where patch thinks they should be, so I did not even attempt to build it. Files should be there... you're using the correct -p flag for patch? I guess you'd having problems anyway if you're using the (already heavily patched) gentoo-kernel. Why not start

RE: [gentoo-user] Out of portage

2005-11-09 Thread Eray Aslan
Renat Golubchyk mailto:[EMAIL PROTECTED] wrote: You can copy the ebuild to your overlay and patch postfix from there. If you don't have to do anything else before compiling it then it's as trivial as epatch /path/to/postfix.patch somewhere in src_unpack(). Doing it this way has the benefit

Re: [gentoo-user] zd1211 patch?

2007-05-08 Thread Arnau Bria
/net_dev.patch?¿? You list two patches. The one for the ebuild you should apply to the ebuild manually using 'patch', but you seem to have successfully done that already. Yep, Then copy the first patch (net_dev.patch) Ok, but, what is the content of net_dev.patch? if I put: # cat files

Re: [gentoo-user] xyz.la seems to be moved message

2006-10-24 Thread Meino Christian Cramer
to be moved message Date: Tue, 24 Oct 2006 11:24:31 -0500 On Tue, 2006-10-24 at 17:31 +0200, Fabrice Delliaux wrote: Hi, Explanation patch here : http://www.mail-archive.com/bug-libtool@gnu.org/msg00838.html I saved the patch at the above link to /root/libtool.patch

[gentoo-user] Acer SmartBattery support

2005-09-09 Thread Frank Schafer
Hi list, just now my Acer TM2313 is emerging system at home. If I return home from work I plan to complete the installation. My question: Is gentoo-sources patched with the acpi_sbs patch or will I need to get it somewhere and patch it myself? Googling around I found (on the Gentoo forum

Re: [gentoo-user] How to get overlaid ebuilds to use custom patches

2006-08-13 Thread Richard Fish
, you will find a src_unpack() function, and a couple of lines that look like this: export EPATCH_SUFFIX=patch epatch ${PATCHDIR}/general if use oav ; then ... fi So after the fi line, add a new line to tell portage to apply your patch. Something like

Re: [gentoo-user] custom ebuilds

2006-09-16 Thread Richard Fish
On 9/16/06, David Relson [EMAIL PROTECTED] wrote: Greetings, I recently noticed a keyboard problem (ctrl left arrow moves a word to the _right_ when using the numeric keypad) and now have a patch for GTK, specifically file gtk+-2.8.19/gtk/gtktextview.c. What's the best way to create

[gentoo-user] gawk and filefuncs

2010-09-03 Thread Al
Can anybody explain the Gentoo handling of filefuncs in the gawk package? Why isn't a simple patch used like in all other cases? Al

Re: [gentoo-user] virt-manager-0.9.1 broken?

2012-03-16 Thread Stefan G. Weichinger
Solved with patch from: https://bugs.gentoo.org/show_bug.cgi?id=329987

Re: [gentoo-user] Re: Patch via perl script in an ebuild?

2010-07-01 Thread David Abbott
: http://code.google.com/p/google-api-adwords-perl/source/browse/trunk/README Ok, I see they're shipping the same version which is available from CPAN as the dev version (2.00.99_3). But the patch is still not made for its code ... maybe it is for _2 or _1? The patch keeps failing out

Re: [gentoo-user] Compilation error with StructureSynth

2017-11-01 Thread tuxic
ucture-synth/structure-synth-1.5.0.ebuild > /usr/local/portage/media-gfx/structure-synth/Manifest > > Then: > > # mkdir /usr/local/portage/media-gfx/structure-synth/files > > drop my '.patch' into that ./files/ dir, drop my -r1.ebuild into > /usr/local/portage/media-gfx/s

[gentoo-user] Apply a patch to an emerge from the command line

2009-01-24 Thread Grant
I could have sworn there was a way to specify a patch to be applied to an emerge from the command line, something like: EPATCH=file.patch emerge packagename I've been searching Google and the mailing list but I can't find mention of it anywhere. Was it a figment of my imagination? - Grant

Re: [gentoo-user] Berkeley DB patch required (I think)

2005-12-13 Thread Markus Ullmann
Mike Kenny wrote: * sys-libs/db Latest version available: 4.2.52_p2 Latest version installed: 4.2.52_p2 which indicates that I have the latest version. Is there somewhere else I should be looking? The 4.2.52_p2-r1 contains that patch and is stable on most arches, what arch

[gentoo-user] realtime-preemption patch

2005-11-01 Thread karlos
hi, I just wanted to ask whether someone on the List has experiences with the Realtime Preemption patches by Ingo Molnar http://people.redhat.com/mingo/realtime-preempt/ applied to the gentoo-kernel. I have just tried it out but a LOT of files are not where patch thinks they should be, so I

Re: [gentoo-user] Re: [kernel 2.6.19-r4] DVD Drive extremely slow

2007-02-10 Thread Jakob Buchgraber
Hey! I just found out that this is a bug in kernel 2.6.19 (http://linuxforen.de/forums/showthread.php?t=230939) and no patches have been offered yet. So if anyone knows a patch for this issue, it would be nice if you could offer a link to the patch. Cheers, Jay -- gentoo-user@gentoo.org

Re: [gentoo-user] Manually compiling a gentoo package

2006-05-23 Thread Richard Fish
On 5/22/06, Anthony E. Caudel [EMAIL PROTECTED] wrote: Thanks, Richard. Those steps did the trick. And the author's correction fixed the problem also. Cool. If upstream is going to apply the patch to a future release that may be some weeks off, you might consider filing a bug report

Re: [gentoo-user] PDF Editor

2006-09-26 Thread ps
I have tried that ebuild (with patch) and got linking error shown below. most i can say is that it works on my x86 box (gcc-3.3.6,binutils-2.16.1-r2). (the patch is not needed to apply; ebuild will do.) many reasons possible why linker doesnt find the reference and i'm not going to debug

Re: [gentoo-user] WinXP under VMWare: no sound

2006-11-07 Thread Sergio Polini
Bo Ørsted Andresen: http://bugs.gentoo.org/show_bug.cgi?id=150495 I've attached a patch for the ebuild on the bug that although not excactly optimal it works for me. Thanks! Now I've just to understand how to emerge an ebuild with a new patch ;-))) Sergio -- gentoo-user@gentoo.org mailing

Re: [gentoo-user] last exit patch

2006-06-22 Thread ellotheth rimmwen
On 6/22/06, ellotheth rimmwen [EMAIL PROTECTED] wrote: last exit last.fm save-song patch Uh, quotes not necessary. Sorry all, done spamming now. -- ellotheth rimmwen * monjoy * -- gentoo-user@gentoo.org mailing list

Re: [gentoo-user] last exit patch

2006-06-22 Thread ellotheth rimmwen
On 6/22/06, ellotheth rimmwen [EMAIL PROTECTED] wrote: I don't have it and I find no references in the net Just for reference, here's the search (Google) I used: last exit last.fm save-song patch -- ellotheth rimmwen * monjoy * -- gentoo-user@gentoo.org mailing list

[gentoo-user] How to get source of emerge to patch?

2006-07-11 Thread Jim John
Hi. I want to patch cyrus-imapd. I have the diff file, but no source because I emerged from the repository. How do I get the source and ebuild it? Thanks. __Do You Yahoo!?Tired of spam? Yahoo! Mail has the best spam protection around http

[gentoo-user] custom ebuilds

2006-09-16 Thread David Relson
Greetings, I recently noticed a keyboard problem (ctrl left arrow moves a word to the _right_ when using the numeric keypad) and now have a patch for GTK, specifically file gtk+-2.8.19/gtk/gtktextview.c. What's the best way to create a personalized ebuild to include this fix when I build

[gentoo-user] Heads up: Your system might be broken and/or insecure due to serious patch-2.6 bug

2009-12-01 Thread Nikos Chantziaras
Everyone should read the following and follow the advice given: http://blog.flameeyes.eu/2009/12/01/gentoo-service-announcement-keep-clear-of-gnu-patch-2-6

Re: [gentoo-user] nvidia GeForce 6200 questions

2010-03-02 Thread Neil Bothwick
On Tue, 2 Mar 2010 16:09:06 +, Peter Humphrey wrote: There was a patch for the 190.53 driver released yesterday to make it work with 2.6.33. Can you give a link please? I'm having trouble compiling nvidia-drivers with 2.6.33 and I can't see much on the nvidia site. emerge --sync

[gentoo-user] Re: Stable users: libpng-1.4

2010-06-30 Thread walt
On 06/30/2010 02:52 PM, Alan McKinnon wrote: aka the dark underside of source-based systems :-) Anyone who uses gentoo had better get an erotic thrill out of filing bug reports, or better yet, a patch that makes into portage, or more erotic still, a patch that makes it into upstream. I'm now

Re: [gentoo-user] emerge/python failure

2010-10-15 Thread Mark Knecht
2010/10/15 Fatih Tümen fthtmn+gen...@gmail.com: On Fri, Oct 15, 2010 at 8:29 PM, Mark Knecht markkne...@gmail.com wrote: Got it, you hit the bug 340899 and its already fixed, just apply the patch http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h

[gentoo-user] 200-line patch to kernel = superkernel

2010-11-23 Thread 7v5w7go9ub0o
FYI. If anyone understands the bash tweak, please explain :-) TIA 1. Original article: The ~200 Line Linux Kernel Patch That Does Wonders http://www.phoronix.com/scan.php?page=articleitem=linux_2637_videonum=1 2. The alternative (or additional) bash tweak: http://www.webupd8.org/2010/11

[gentoo-user] mplayer id3v2

2011-05-13 Thread Andrey Moshbear
Is there a patch for mplayer (1.0-rc4) that adds id3v2 support? Googling the mailinglist archives, it was said that the previous implementation had vulns and was hence scrapped, but it sucks not having it. There are unofficial forks of mplayer which have id3v2, but there's no ebuild, in layman

[gentoo-user] BadRAM patch

2011-09-04 Thread William Kenworthy
Do any of the gentoo kernels have the badram patch? - just found a 2G stick with one stuck bit :( Googling for this shows activity up to 2.6.28 - then nothing. Did it get included in the kernel? Otherwise its roll my own ... BillK

[gentoo-user] hardened-sources...what?

2011-09-22 Thread Michael Mol
I'll assume for the moment that the hardened-sources patch set discussed includes security improvements. My question is...what kinds? For what reason is there a set of makes it more secure patches that aren't integrated into the mainline kernel? Are they just not stable in some fashion? Do

Re: [gentoo-user] HEADS UP - postfix-2.9.0 is broken

2012-02-06 Thread Andrea Conti
BTW postfix 2.9.0 also fails to emerge if USE=vda because it tried to apply the patch for 2.8.5. (patch for 2.9.0 has not yet been released) And it also fails to start if have maps in hash format and emerge with USE=-berkdb. Luckily the error messages are informative enough... but let's say

Re: [gentoo-user] Fwd: Re: PATCH: postfix start master initialization status

2012-03-07 Thread Michael Orlitzky
On 03/07/12 10:24, Eliezer Croitoru wrote: when this patch is going to get into the portage?? thanks Eliezer It looks like Eray applied it to postfix-2.10_pre20120305-r1, in the tree right now.

Re: [gentoo-user] Fwd: Re: PATCH: postfix start master initialization status

2012-03-07 Thread Eliezer Croitoru
On 07/03/2012 19:30, Michael Orlitzky wrote: On 03/07/12 10:24, Eliezer Croitoru wrote: when this patch is going to get into the portage?? thanks Eliezer It looks like Eray applied it to postfix-2.10_pre20120305-r1, in the tree right now. thanks Eliezer

Re: [gentoo-user] Adding an extra patch to an ebuild

2012-11-21 Thread Adam Carter
. Thanks Neil, this worked beautifully, as did the gcc patch and i'm running 4.7.2.

[gentoo-user] [SOLVED] Re: nvidia-drivers-340.76 failed with gentoo-sources-4.0.5

2015-06-18 Thread Jacques Montier
/work/kernel/nv-pat.o] Error 1 I saw a topic about that problem on Gentoo forum : https://forums.gentoo.org/viewtopic-p-7754020.html?sid=3b9fed3069c0b6644c1a41e839455b85 I tried to apply the patch /etc/portage/patches/x11-drivers/nvidia-drivers/nvidia-drivers-340.76.patch *--- a/kernel/nv

[gentoo-user] Reversing a .../files/*.patch as user patch?

2017-02-06 Thread Meino . Cramer
Hi, While compiling my new root, it fails again. Here is the desription what happens...solution is not to apply two of the patches of the ebuild. https://bugs.gentoo.org/show_bug.cgi?id=605158 But...how can I do this more convenietly than manually reversing the patchfiles? Can I instruct

[gentoo-user] elibtoolize Portage patch requested, but failed to apply!

2017-03-27 Thread Erwan RIGOLLOT
Hi all, I just did an emerge -sync and a porting update on two gentoo. Some packages do not want to compile anymore. Exemples gcc : * updating multilib directories to be: ../lib64 ../lib32 * Running elibtoolize in: gcc-4.9.4/ * Portage patch requested, but failed to apply! * Please file

Re: [gentoo-user] Dirty COW, 4.4.8-hardened-r1 how to fix?

2016-10-25 Thread Miroslav Rovis
> > it, I indirectly initiated a thread over at hardened ML: > > https://archives.gentoo.org/gentoo-hardened/message/09bbf3bfe59a938f11ac044e891db77e > > > > Will surely check it! And am CC'ing hardened about this patch at the > > hardened ML. Maybe they patch and forw

[gentoo-user] Portage Patch failed to apply - System will no longer upgrade

2009-06-08 Thread Rod
Hi. This issue is really pissing me off, I have ried almost all the fixes, even to the point of booting and copying a Stage3 tarball over the running system and doing a Stage3 Install. No matter what I do, and for almost ALL packages I get .. * Portage patch failed to apply

Re: [gentoo-user] KDE without ARTS

2006-01-22 Thread Ian
Good to hear its working.But can someone tell me how to apply the patch?Thanks!~IanOn 1/22/06, James Colby [EMAIL PROTECTED] wrote:Thanks for the link.I just gave in and re-enable arts for KDE. Sound is working now.On 1/22/06, Ian [EMAIL PROTECTED] wrote: This is exactly what I am wanting to do

Re: [gentoo-user] logmail - need fully-qualified address

2006-02-07 Thread Bo Andresen
the patch proposed in the bug #116637? Now (I think) I figured out how to patch it. Just copied the portage-2.1_pre4-r1 to an overlay, downloaded the patch to FILESDIR, added the following line to src_unpack() and reemerged portage. patch ${WORKDIR}/${PN}-${PV}/pym/elog_modules/mod_mail.py

  1   2   3   4   5   6   7   8   9   10   >